Uppgradera Arduino IDE i Linux (Mint) 1.0.5 -> 1.6.4

Elektronikrelaterad mjukvara/litteratur. (T.ex schema-CAD, simulering, böcker, manualer mm. OS-problem hör inte hit!)
Enok
Inlägg: 26
Blev medlem: 29 mars 2006, 22:01:22

Uppgradera Arduino IDE i Linux (Mint) 1.0.5 -> 1.6.4

Inlägg av Enok »

Hej Forumet!

Jag har en laptop med Linux Mint 17.1 Xfce på.
Om man läser installationsinstruktionerna för på Arduinos hemsida så står det att installation lätt sköts med "apt-get".
Dom har till viss del rätt men den version av Arduino IDE jag får ner är 1.0.5. Denna installation resulterar i en, jag vet inte riktigt vad det kallas, integrerad installation med Arduino IDEs komponenter utportionerade i filsystemet. Ungefär som när man kör "make install" vid kompilering från source.
Om jag laddar ner 1.6.4 (senaste) får jag ner en komprimerad TAR som efter uppackning visar sig vara en komplett mapp med ett Shell-skript som startar den nya versionen.

Vad jag vill veta är om det finns något sätt att få 1.6.4 installerad i filsystemet eller om Arduino LLC har frångått den metoden och bara kör portabla utgåvor som t.ex. Eclipse?

MVH // Stefan
Enok
Inlägg: 26
Blev medlem: 29 mars 2006, 22:01:22

Re: Uppgradera Arduino IDE i Linux (Mint) 1.0.5 -> 1.6.4

Inlägg av Enok »

Än så länge har jag löst det genom att avinstallera 1.0.5 via APT $sudo apt-get purge arduino, flyttat innehållet i TAR-bollen till /opt och lagt till /opt/arduino-1.6.4 i PATH i .bashrc.
Det fungerar men med tanke på att Arduino ändå skall anses vara mjukvara för nybörjare tycker jag de borde tillhandahålla installerbara paket!
Visst kan man argumentera att det är bra att lära sig fiffla lite med Linux men när man är på humör att komma igång med t.ex. Arduino skall man inte behöva ha trösklar som iaf. för tillfället inte har med saken att göra!
Att det konstant behövs någon form av speciallösning är ju det eviga problemet som kommer hålla Linux borta från mainstream-marknaden!
Mr Andersson
Inlägg: 1071
Blev medlem: 29 januari 2011, 21:06:30

Re: Uppgradera Arduino IDE i Linux (Mint) 1.0.5 -> 1.6.4

Inlägg av Mr Andersson »

Jag tycker det är orimligt att förvänta sig att Arduino ska bygga paket för alla hundratals (om inte tusentals) olika linuxdistributioner som finns.
Det är upp till Mint att hålla sina egna paket uppdaterade och klarar dem inte av det får du väl byta till någon distro som gör det om du inte vill uppdatera manuellt via arduino.cc

Edit:
Rättat "stavfel". Vet inte var jag fick Ubuntu ifrån :)
Enok
Inlägg: 26
Blev medlem: 29 mars 2006, 22:01:22

Re: Uppgradera Arduino IDE i Linux (Mint) 1.0.5 -> 1.6.4

Inlägg av Enok »

Så sant men ett DEB-paket skulle täcka in en stor del av de distros som kan tänkas vara aktuella för den sortens nybörjare som jag tänker på!

Edit: Ingen fara, Mint är ju baserat på Ubuntu så det var säkert därifrån det kom ;)
Mr Andersson
Inlägg: 1071
Blev medlem: 29 januari 2011, 21:06:30

Re: Uppgradera Arduino IDE i Linux (Mint) 1.0.5 -> 1.6.4

Inlägg av Mr Andersson »

Jo många distros använder ju apt.

Jag hade börjat skriva ett inlägg om hur man kan få versionskonflikter på libraries om man har ett gemensamt paket för flera distributioner men sen kom jag på att arduino kör ju java, så då gick ju det bort :)
I det här fallet har du ju helt rätt i att borde gå att ha en .deb och kanske en .rpm också.

Fördelen med att packa upp en tar i /home är att du behöver inte ha root-access, och du kan själv välja om och när du vill uppgradera till en nyare version och är inte låst till den version systemadministratören väljer.
Nackdelen är att om flera användare ska köra arduino så blir det många fildubbletter som tar diskutrymme.
Användarvisningsbild
PHermansson
EF Sponsor
Inlägg: 4340
Blev medlem: 22 december 2004, 00:46:38
Ort: Särestad Grästorp
Kontakt:

Re: Uppgradera Arduino IDE i Linux (Mint) 1.0.5 -> 1.6.4

Inlägg av PHermansson »

Installationsprogram, deb och rpm kan vara jättebra. Men någon ska skapa och underhålla dem också. Var det Owncloud som tvingade Canonical att ta bort sina paket? Ingen uppdaterade dem så det fanns gamla versioner fulla med hål i arkiven.
Skriv svar